Update Location
curl --request PUT \
--url https://api.loopreturns.com/api/v1/locations/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"sales_channel": "shopify",
"name": "Main Warehouse",
"external_id": "62291d16-9b61-4fbb-b868-21c2d32dc155"
}
'import requests
url = "https://api.loopreturns.com/api/v1/locations/{id}"
payload = {
"sales_channel": "shopify",
"name": "Main Warehouse",
"external_id": "62291d16-9b61-4fbb-b868-21c2d32dc155"
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sales_channel: 'shopify',
name: 'Main Warehouse',
external_id: '62291d16-9b61-4fbb-b868-21c2d32dc155'
})
};
fetch('https://api.loopreturns.com/api/v1/locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"location": {
"id": 9007199254740991,
"sales_channel": "shopify",
"name": "Main Warehouse",
"status": "active",
"address": {
"name": "Main Warehouse",
"company": "Universal Exports",
"address1": "1234 Example Street",
"address2": "Unit 19",
"city": "Townsville",
"region": "Louisiana",
"postal_code": 90210,
"country_code": "US"
},
"external_id": "62291d16-9b61-4fbb-b868-21c2d32dc155"
}
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}{
"message": "The name field is required.",
"errors": {
"name": [
"The name field is required."
]
}
}Locations
Update Location
Update a location.
PUT
/
locations
/
{id}
Update Location
Authorizations
API Scope: "Locations (write)"
Path Parameters
The location's unique identifier.
Body
application/json
If a channel with this name is not already associated with the shop, it will be used to create a new channel.
Maximum string length:
255Example:
"shopify"
The name of the location.
Maximum string length:
100Example:
"Main Warehouse"
The status of the location.
Available options:
active, inactive Maximum string length:
100The provided external_id must be unique. If a non-unique external_id is provided, the API will respond with an error.
Required string length:
1 - 64Example:
"62291d16-9b61-4fbb-b868-21c2d32dc155"
The address of the location.
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes